#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const commander_1 = require("commander");
const path_1 = __importDefault(require("path"));
const constants_1 = require("./constants");
const main_1 = require("./main");
commander_1.program.parse(process.argv);
if (commander_1.program.args[0]) {
    let config = null;
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    try {
        config = require(path_1.default.resolve(path_1.default.resolve(), constants_1.CONFIG_FILE_NAME));
    }
    catch (event) {
        console.log(chalk_1.default.yellow(`The options can be specified by preparing '${constants_1.CONFIG_FILE_NAME}'.`));
    }
    (0, main_1.main)(commander_1.program.args[0], config || {});
}
